Bug 91368 - libX11 missing very old fixes
Summary: libX11 missing very old fixes
Status: RESOLVED MOVED
Alias: None
Product: xorg
Classification: Unclassified
Component: Lib/other (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Xorg Project Team
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-07-16 22:44 UTC by Ulrich Sibiller
Modified: 2018-08-10 21:37 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
off-by-one fixes ported to xorg git (3.88 KB, text/plain)
2015-07-16 22:44 UTC, Ulrich Sibiller
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ulrich Sibiller 2015-07-16 22:44:29 UTC
Created attachment 117184 [details]
off-by-one fixes ported to xorg git

I stumbled across an off-by-one fix for XKBMAlloc.c in NoMachine's NX code     (http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=15cee47a496ef891923949ade073cf4ffabb9c73#patch3).
    
It turned out that this bug (along with some others) had been fixed in 2005 in the xfree86 code by Michal Maruška (see http://cgit.freedesktop.org/~libv/xfree86/commit/lib/X11?id=23202557b77fd2edd167ae00103dcd81782401d5)
    
(more Details here: https://www.mail-archive.com/devel@xfree86.org/msg07272.html) 

These fixes never made their way to xorg, it seems. 

At least the off-by-one fix should be included. I have attached a patch for this.
Comment 1 Alan Coopersmith 2015-07-16 23:07:31 UTC
The XFree86 fixes were published under the new XFree86 license which X.Org
is unwilling to accept.   If the original author was to agree to contribute
under the standard X11 license, then we could take them.
Comment 2 Ulrich Sibiller 2015-07-28 10:26:47 UTC
These fixes are quite trivial. So in case the original author is refusing or not answering (I have been waiting for 11 days now...) I don't see a good way to reimplement them in a different way. But the code is definitely buggy. So what do you suggest in that case?
Comment 3 James Cloos 2015-07-28 23:34:59 UTC
Can you describe in words and in detail what the changes are?

Ie, such-and-such a variable in such-and-such a function has an off-by-one error (too large or too small) when such-and-such an operation is done on it, and the like.

That should make it possible for someone who hasn’t seen the xfree code to re-implement the fixes w/ a compatible license w/o infringing on the xfree license.
Comment 4 Ulrich Sibiller 2015-08-31 21:02:09 UTC
I have got an answer of the original author and he will provide a patch.
Comment 5 GitLab Migration User 2018-08-10 21:37:57 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/xorg/lib/libx11/issues/76.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.